мая
20
2012

Safari 5.1.7 блокирует старые версии плагина Adobe Flash Player

В Safari 5.1.7 автоматически блокируется воспроизведения контента через Adobe Flash, если установленный плагин устарел.

Разработчики Apple повысили безопасность своего браузера, блокируя старые версии Flash-плагина. Теперь если на странице имеется какой-либо контент, проигрываемый через данный плагин, то браузер проверяет актуальность версии и если она не самая последняя — блокирует его активацию. При этом пользователь получает уведомление с предложением скачать последнюю версию.

Со стороны компании Adobe данная инициатива получила положительный отклик. По словам Брэда Аркина, они приветствуют инициативу Apple. Это позволит пользователям Safari всегда оставаться на самой актуальной версии Flash Player. Так, если у кого-либо установлена старая версия плагина (например, 10.1.102.64 и меньше) — они будут направлены в центр загрузок для скачивания последней версии.

Стоит добавить, что в некоторых случаях пользователи намеренно используют какие-либо старые сборки плагина, например, по причине несовместимости с новыми. В принципе, Safari хоть и блокирует их, но делает это не жестко. Любой желающий в случае блокировки может активировать плагин назад, без установки последней версии. Для этого необходимо пройти по пути Macintosh HD/Library/Internet Plug-Ins (Disabled)/. Здесь находится файл «Flash Player.plugin». Его необходимо переместить в папку Internet Plug-Ins, которая находится на уровень выше текущей.

После того, как вы переместили назад файл необходимо перезапустить браузер (если он был у вас запущен), и попробовать просмотреть какой-либо контент через Flash-плагин. Блокировка срабатывает только один раз и в дальнейшем не должна беспокоить пользователей.

Оставить комментарий

Цитировать